CACOS(3)

NAME
cacos, cacosf, cacosl - complex circular arc cosine

SYNOPSIS
#include <complex.h>
double complex
cacos(double complex z);
float complex
cacosf(float complex z);
long double complex
cacosl(long double complex z);

DESCRIPTION
The cacos(), cacosf() and cacosl() functions compute the complex circular arc cosine of z.

For all complex floating-point numbers z,

    cacos(z) = Pi/2 - casin(z).

RETURN VALUES
The cacos(), cacosf() and cacosl() functions return the complex circular arc cosine of z with unbounded imaginary part, and real part in the interval [0, Pi].

SEE ALSO
casin(3), catan(3)

STANDARDS
The cacos(), cacosf() and cacosl() functions conform to isoC-99.